package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.yonge.cooleshow.biz.dal.entity.PianoRoomSettings;
import com.yonge.cooleshow.biz.dal.vo.PianoRoomSettingsVo;
import com.yonge.cooleshow.biz.dal.dto.search.PianoRoomSettingsSearch;
import com.yonge.cooleshow.biz.dal.dao.PianoRoomSettingsDao;
import com.yonge.cooleshow.biz.dal.service.PianoRoomSettingsService;

import java.util.List;


@Service
public class PianoRoomSettingsServiceImpl extends ServiceImpl<PianoRoomSettingsDao, PianoRoomSettings> implements PianoRoomSettingsService {
    private final static Logger log = LoggerFactory.getLogger(PianoRoomSettingsServiceImpl.class);

    @Override
    public PianoRoomSettingsVo detail(Long id) {
        return baseMapper.detail(id);
    }

    @Override
    public IPage<PianoRoomSettingsVo> selectPage(IPage<PianoRoomSettingsVo> page, PianoRoomSettingsSearch query) {
        return page.setRecords(baseMapper.selectPage(page, query));
    }

    @Override
    public List<PianoRoomSettingsVo> selectList(PianoRoomSettingsSearch query) {
        return baseMapper.selectList(query);
    }

    @Override
    public Integer changeStatus(Long id, Integer status) {
        return baseMapper.changeStatus(id, status);
    }

    @Override
    public boolean removeByIds(List<Long> idList) {
        return baseMapper.removeByIds(idList);
    }

}